Skip to content

Entities ​

This page documents on how to:

Fetch Entities ​

Fetch a list of entities

Scope ​

managers_read

Endpoint ​

http
GET /entities

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample valueDefaultDescription
keywordsString"Foo Bar"nullSearch from keywords in name, and reference fields
orderString"created_at""created_at"Chosen field for ordering the data. Available values: ["created_at"]
sortString"desc""desc"Way of sorting the data. Available values: ["asc","desc"]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Examples ​

See all the entities that have "leeds" in their reference.
http
GET https://api.talentview.fr/v2/entities?keywords=leeds

View response example

Fetch Entity ​

Fetch one specific Entity from its id.

Scope ​

managers_read

Endpoint ​

http
GET /entities/:id

Open in Postman

Accepted params ​

ParamTypeExample ValueDefaultDescription
idInteger1-In the path, id of the Entity to fetch.

Examples ​

Retrieve an entity whose id is 88.
http
GET https://api.talentview.fr/v2/entities/88

View response example

Fetch Units ​

Fetch a list of units

Scope ​

managers_read

Endpoint ​

http
GET /entities/:entity_id/units

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params (in the path) ​

ParamTypeExample ValueDefaultDescription
entity_idInteger1-id of the Entity's units to fetch.

Accepted params (in the querystring) ​

ParamTypeExample ValueDefaultDescription
keywordsString"Foo Bar"nullSearch from keywords in name, and reference fields
orderString"created_at""created_at"Chosen field for ordering the data. Available values: ["created_at"]
sortString"desc""desc"Way of sorting the data. Available values: ["asc","desc"]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Examples ​

Retrieve every unit from entity whose id is 130.
http
GET https://api.talentview.fr/v2/entities/130/units

View response example

Fetch Unit ​

Fetch one specific Unit from its id and its Entity id.

Scope ​

managers_read

Endpoint ​

http
GET /entities/:entity_id/units/:id

Open in Postman

Accepted params ​

All parameters should be in the path.

ParamTypeExample ValueDefaultDescription
entity_idInteger1-id of the related Entity.
idInteger1-id of the Unit to fetch.

Examples ​

Retrieve the unit with id 4708 from entity whose id is 130.
http
GET https://api.talentview.fr/v2/entities/130/units/4708

View response example

Customer documentation for the Kelio ATS API